Bug Hunting Session
Bug 44754 - Help agent (lightbulb, help assistant) not triggered / doesn't appear on autocorrect & autoformat
Summary: Help agent (lightbulb, help assistant) not triggered / doesn't appear on auto...
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-13 05:44 UTC by Christian Lohmaier
Modified: 2015-04-01 15:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Lohmaier 2012-01-13 05:44:28 UTC
Help agent is non functional in LibreOffice, not in 3.4.4 and also not in 3.5.0beta2 (and reported on IRC also not in 3.3.3).

Help agent (the lightbulb) should appear when autocorrect/autoformat is triggered, like for example when " is converted to typographic (smart) quotes, or when TWo capital letters in a word get corrected to only one, etc.

In Options→General the help agent is activated, and also resetting the helpagent doesn't make any difference.

To test: trigger any autocorrect or autoformat - either type quotes, write a sentence but use lowercase after the dot, write a - between words (and have it replaced by the corresponding dash), use "###" on a line by itself or "++++" on a line by itself, etc.

Expected: light bulb should appear at the lower area of the window, clicking on it should open the helppage about autoformat/autocorrect and explain what happened and how to turn the feature off.

Actual: autoformat/autocorrect is triggered, but no helpagent appears.
Comment 1 bfoman (inactive) 2012-07-10 11:47:46 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 2 flamingdescent 2013-06-21 19:36:05 UTC
I can also confirm this bug, so I changed this bug's status to NEW. I used LibreOffice 4.0.2.2 on 64-bit Ubuntu 13.04 and LibreOffice 4.0.3.3 on 64-bit Windows 8, which means this bug affects multiple operating systems, so I changed the platform to "x86-64 (AMD64) All".

I kept the importance as "medium normal", because although this bug does not affect the user's ability to make high quality work, it is a feature that is claimed to exist (e.g.: by the LibreOffice 4.0 Getting Started Guide, Options) but doesn't really.

Thanks for reporting this bug!
Comment 3 Stanislav Horacek 2013-09-12 19:54:36 UTC
Help agent was removed in 4.1 - so I guess this bug can be closed.
Comment 4 QA Administrators 2015-04-01 14:42:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-01
Comment 5 Christian Lohmaier 2015-04-01 15:40:13 UTC
there is no helpagent at all anymore, so this is obsolete, but as there's no obsolete status, set to notabug... wontfix would kind of fit as well, but notabug sounds friendlier :-P